Get a plugin by id Technical Preview; added in 9.4.0

GET /api/agent_builder/plugins/{pluginId}

Spaces method and path for this operation:

get /s/{space_id}/api/agent_builder/plugins/{pluginId}

Refer to Spaces for more information.

Get a specific plugin by ID.

[Required authorization] Route required privileges: agentBuilder:read.

Path parameters

  • pluginId string Required

    The unique identifier of the plugin.

Responses

  • 200 application/json

    Indicates a successful response

GET /api/agent_builder/plugins/{pluginId}
curl \
  -X GET "${KIBANA_URL}/api/agent_builder/plugins/{id}" \
  -H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/agent_builder/plugins/{id}
Response examples (200)
Example response returning a single installed plugin
{
  "id": "financial-analysis",
  "name": "financial-analysis",
  "version": "1.0.0",
  "manifest": {
    "author": {
      "url": "https://www.anthropic.com",
      "name": "Anthropic"
    },
    "keywords": [
      "finance",
      "analysis"
    ],
    "repository": "https://github.com/anthropics/financial-services-plugins"
  },
  "skill_ids": [
    "financial-analysis-analyze-portfolio"
  ],
  "created_at": "2025-01-01T00:00:00.000Z",
  "source_url": "https://github.com/anthropics/financial-services-plugins/tree/main/financial-analysis",
  "updated_at": "2025-01-01T00:00:00.000Z",
  "description": "Financial analysis tools and skills for Claude",
  "unmanaged_assets": {
    "hooks": [],
    "agents": [],
    "commands": [],
    "lsp_servers": [],
    "mcp_servers": [],
    "output_styles": []
  }
}